@echo off
echo LithDuke Installer/Uninstaller V0.1
if not exist lithstad.map goto Error
if not exist lth015.art goto Uninst
echo Installing...
if exist tiles015.art ren tiles015.art balth015.art
if exist tiles009.art ren tiles009.art balth009.art
if exist tiles007.art ren tiles007.art balth007.art
if exist tiles010.art ren tiles010.art balth010.art
ren lth015.art tiles015.art
ren lth009.art tiles009.art
ren lth007.art tiles007.art
ren lth010.art tiles010.art
ren game.con balthgam.con
ren lithduke.con game.con
echo Installed
goto End

:Uninst
echo Uninstalling...
ren tiles015.art lth015.art
ren tiles009.art lth009.art
ren tiles007.art lth007.art
ren tiles010.art lth010.art
ren balth???.art tiles???.art
ren game.con lithduke.con
ren balthgam.con game.con
echo Uninstalled
goto End
:Error
echo ***Files not found!***
echo Make sure you are running this batch file from your Duke3d directory and
echo that all the files in the ZIP are extracted...
:End
